[Spacewalk-devel] cobller traceback

Mike McCune mmccune at redhat.com
Fri Dec 19 11:25:26 EST 2008


Miroslav Suchý wrote:
> I run on this when install sw from nightly:
> 
> spacewalk-setup --disconnected
> .....
> * Setting up Cobbler..
> Traceback (most recent call last):
>    File "/usr/bin/cobbler-setup", line 53, in ?
>      main()
>    File "/usr/bin/cobbler-setup", line 38, in main
>      answers = loadFile(DEFAULTS).next()
>    File "/usr/lib/python2.4/site-packages/cobbler/yaml/load.py", line 
> 36, in loadFile
>      return loadStream(FileStream(filename),typeResolver)
>    File "/usr/lib/python2.4/site-packages/cobbler/yaml/stream.py", line 
> 33, in __init__
>      self.fp = open(filename)
> IOError: [Errno 2] No such file or directory: 
> '/usr/share/cobbler/installer_templates/defaults'
> 
> 
> Is it known?
> 

this is because you probably have an old version of cobbler which is 
expected because the version we require isn't released yet.

What I need todo is bump the version to be cobbler >= 1.4 in our 
spacewalk RPM.  Will do this today.

-- 
Mike McCune
mmccune AT redhat.com
Engineering               | Portland, OR
RHN Satellite             | 650.567.9039x79248




More information about the Spacewalk-devel mailing list